%global shortname looks

Name:           jgoodies-looks
Version:        2.7.0
Release:        %mkrel 1
Summary:        Free high-fidelity Windows and multi-platform appearance

Group:          Development/Java
License:        BSD
URL:            https://www.jgoodies.com/freeware/libraries/looks/
# Upstream no longer distributes the library under an Open Source license. Latest
# Open Source release is taken from Maven Central
Source0:        https://repo1.maven.org/maven2/com/jgoodies/%{name}/%{version}/%{name}-%{version}-sources.jar
Source1:        https://repo1.maven.org/maven2/com/jgoodies/%{name}/%{version}/%{name}-%{version}.pom
# Fix build with JDK 11
Patch0:         %{name}-2.7.0-jdk11.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.jgoodies:jgoodies-common)
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%description
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%autosetup -c -p0
mkdir -p src/main/java/
mv com/ src/main/java/

cp %{SOURCE1} pom.xml

# Remove unnecessary dependency on parent POM
%pom_remove_parent

# Remove useless dependency on JUnit (no test available)
%pom_remove_dep junit:junit

%mvn_file :%{name} %{name} %{name}

# Drop Windows L&F support files (unsupported on JDK 11)
rm -r src/main/java/com/jgoodies/looks/windows/

# Fix source/target version for JDK 17
%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:source" "1.8"
%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:target" "1.8"


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles


%files javadoc -f .mfiles-javadoc




%changelog
* Mon Dec 12 2022 daviddavid <daviddavid> 2.7.0-1.mga9
+ Revision: 1920896
- Update to 2.7.0

* Thu Mar 31 2022 umeabot <umeabot> 2.6.0-9.mga9
+ Revision: 1836816
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 daviddavid <daviddavid> 2.6.0-8.mga8
+ Revision: 1624141
- Fix build with JDK11
- Rebuilt for JDK-11
- Remove unnecessary dependency on parent POM

* Wed Feb 12 2020 umeabot <umeabot> 2.6.0-7.mga8
+ Revision: 1491728
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.6.0-6.mga7
+ Revision: 1263880
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 2.6.0-5.mga6
+ Revision: 1103349
- Fix buildRequires
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 2.6.0-1.mga6
+ Revision: 980735
- First rebuild of the java stack
- sync package jgoodies-looks with fedora (update to 2.6.0)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.3-6.mga5
+ Revision: 738918
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.5.3-4.mga4
+ Revision: 542013
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 2.5.3-3.mga4
+ Revision: 496696
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.4.2-2.mga3
+ Revision: 355386
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 fwang <fwang> 2.4.2-1.mga3
+ Revision: 331478
- update file list
- update file list
- new version 2.4.2

* Fri Oct 21 2011 gil <gil> 2.4.1-1.mga2
+ Revision: 157169
- edit spec file
- added maven2 poms

* Wed Jul 06 2011 grenoya <grenoya> 2.4.1-0.0.4.mga2
+ Revision: 119500
- upgrade sources to 2.4.1
- remove patch #0
- remove unneeded define due to change of sources name

* Sat Mar 05 2011 grenoya <grenoya> 2.2.1-0.0.4.mga1
+ Revision: 64851
- imported package jgoodies-looks


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-0.0.4mdv2011.0
+ Revision: 612445
- the mass rebuild of 2010.1 packages

* Thu Apr 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.1-0.0.3mdv2010.1
+ Revision: 540955
- rebuild

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.2.1-0.0.2mdv2010.0
+ Revision: 438037
- rebuild

* Sun Mar 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.1-0.0.1mdv2009.1
+ Revision: 352863
- update to new version 2.2.1
- spec file clean

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.2.0-0.6.1mdv2009.0
+ Revision: 286493
- BR java-rpmbuild
- fix group
- import jgoodies-looks


